### Method

# Vips Region image

#### Declaration [src]

    int
    vips_region_image (
      VipsRegion* reg,
      const VipsRect* r
    )

#### Description [src]

The region is transformed so that at least `r` pixels are available to be read from the image. The image needs to be a memory buffer or represent a file on disc that has been mapped or can be mapped.

#### Parameters

`r`

  Type: `VipsRect`

  `VipsRect` of pixels you need to be able to address.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

0 on success, or -1 for error.